/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CanadianClinicalClassification
 */
public enum EnumCV_CanadianClinicalClassification 
{
	//Canadian Clinical Classification - CID 3719
	CHEST_PAIN_NOT_PRESENT_F_A265A("F-A265A"),
	ANGINA_CLASS_I_D3_12001("D3-12001"),
	ANGINA_CLASS_II_D3_12002("D3-12002"),
	ANGINA_CLASS_III_D3_12003("D3-12003"),
	ANGINA_CLASS_IV_D3_12004("D3-12004");

	private String value;

	EnumCV_CanadianClinicalClassification(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
